# $Revision: 1.40 $, $Date: 2011/12/11 16:09:54 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Enlightenment Fundation Libraries - Embryo
Summary(pl.UTF-8):	Podstawowe biblioteki Enlightenmenta - Embryo
Name:		embryo
Version:	1.1.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	cbdedac18afdd0c1a8f3304bcd113410
URL:		http://trac.enlightenment.org/e/wiki/Embryo
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	eina-devel >= 1.1.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.22
Requires:	eina >= 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
Embryo is a tiny library designed as a virtual machine to interpret a
limited set of small compiled programs.

%description -l pl.UTF-8
Embryo to mała biblioteka zaprojektowana jako maszyna wirtualna do
interpretowania ograniczonego zbioru małych skompilowanych programów.

%package devel
Summary:	Embryo header files
Summary(pl.UTF-8):	Pliki nagłówkowe Embryo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Embryo.

%description devel -l pl.UTF-8
Pliki nagłówkowe Embryo.

%package static
Summary:	Static Embryo library
Summary(pl.UTF-8):	Statyczna biblioteka Embryo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Embryo library.

%description static -l pl.UTF-8
Statyczna biblioteka Embryo.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/embryo_cc
%attr(755,root,root) %{_libdir}/libembryo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libembryo.so.1
# for embryo_cc
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libembryo.so
%{_libdir}/libembryo.la
%{_includedir}/embryo-1
%{_pkgconfigdir}/embryo.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libembryo.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: embryo.spec,v $
Revision 1.40  2011/12/11 16:09:54  qboosh
- updated to 1.1.0

Revision 1.39  2011/02/02 16:53:14  qboosh
- updated URL

Revision 1.38  2011/02/01 18:14:15  qboosh
- package ChangeLog

Revision 1.37  2011/01/31 18:05:14  lisu
- rel 2

Revision 1.36  2011/01/31 13:39:55  lisu
- 1.0.0 is now stable

Revision 1.35  2010/12/05 09:15:56  qboosh
- updated to 1.0.0.beta3
- License is BSD

Revision 1.34  2010/11/16 17:36:30  witekfl
- 1.0.0.beta2

Revision 1.33  2010/08/06 13:41:01  witekfl
- use LATEST snapshot

Revision 1.32  2010/08/04 20:57:16  witekfl
- up to the snapshot 0.9.9.49898

Revision 1.31  2008/10/10 17:11:44  qboosh
- simplified setup

Revision 1.30  2008/10/09 18:00:25  pablo
- updated
- using "official" snapshots

Revision 1.29  2008/08/25 16:38:04  pablo
- updated to 20080813 snap

Revision 1.28  2008/06/03 18:27:27  qboosh
- ghost soname symlink
- updated ac/am BRs

Revision 1.27  2008-06-01 14:18:08  cactus
- missing - in log
- removed embryo-config

Revision 1.26  2008-06-01 14:13:37  cactus
- up to 0.9.9.043

Revision 1.25  2007-09-09 11:48:38  qboosh
- updated URL

Revision 1.24  2007/09/08 22:30:13  qboosh
- updated to 0.9.1.038
- moved data to main package containing embryo_cc which uses it

Revision 1.23  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.21  2006/12/23 18:16:27  arekm
- rel 2

Revision 1.20  2006/12/01 02:15:43  sparky
- up to 0.9.1.036; removed test app
- regenerate auto* to force correct libtool

Revision 1.19  2006/09/10 19:07:23  sparky
- up to 0.9.1.032

Revision 1.18  2006/07/06 02:07:02  sparky
- up to 0.9.1.029

Revision 1.17  2006/06/27 00:16:16  sparky
- 0.9.1.028

Revision 1.16  2006/06/19 17:25:02  sparky
- up to 0.9.1.027

Revision 1.15  2006/04/17 22:01:44  czucz
- up to 0.9.1.026

Revision 1.14  2006/03/17 20:07:35  sparky
- up to 0.9.1.025

Revision 1.13  2006/03/12 17:02:45  sparky
- up to 0.9.1.024

Revision 1.12  2006/01/14 17:51:32  sparky
- up to 0.9.1.023

Revision 1.11  2005/12/03 16:33:45  sparky
- up to 0.9.1.022
- no auto* regeneration required

Revision 1.10  2005/11/30 13:54:55  charles
- updated to 0.9.1.020
- bcond static_libs

Revision 1.9  2005/11/20 00:39:21  sparky
- up to 0.9.1.019

Revision 1.8  2005/10/11 22:20:55  charles
- updated to 0.9.1.018

Revision 1.7  2005/08/25 11:50:22  charles
- proper URL

Revision 1.6  2005/08/24 18:33:50  charles
- updated to 0.9.1.013
- new Source0 ("official" snapshots)

Revision 1.5  2005/07/10 07:17:59  sparky
- Source0: ftp -> http

Revision 1.4  2005/07/09 13:41:01  sparky
- new snap
- status: builds, looks to work

Revision 1.3  2005/03/30 22:43:45  sparky
- updated to 20050329 snap

Revision 1.2  2005/01/08 00:34:46  qboosh
- pl, unified

Revision 1.1  2005/01/07 19:38:22  sparky
- NEW EFL (E Fundation Libraries)
- builds well but still so much to do...
- anyone knows polish ?
